Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::RTConfiguration::RTORB_Resource_Info Struct Reference

RT-related resources global to a component server. More...

`import "RTConfiguration.idl";`

List of all members.

## Public Attributes
ThreadPool_Configurations | tp_configs
ThreadPoolLanes_Configurations | tpl_configs
PriorityBands_Configurations | pb_configs

## Detailed Description

RT-related resources global to a component server.

These are Real-time related resources that are global within an RT component server. They can be shared by several containers.

## Member Data Documentation

PriorityBands_Configurations CIAO::RTConfiguration::RTORB_Resource_Info::pb_configs

ThreadPool_Configurations CIAO::RTConfiguration::RTORB_Resource_Info::tp_configs

ThreadPoolLanes_Configurations CIAO::RTConfiguration::RTORB_Resource_Info::tpl_configs

The documentation for this struct was generated from the following file:

- RTConfiguration.idl